'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _characteristic = require('bleno/lib/characteristic');

var _characteristic2 = _interopRequireDefault(_characteristic);

var _constants = require('../constants');

var _onIndicate = require('./on-indicate');

var _onIndicate2 = _interopRequireDefault(_onIndicate);

var _onNotify = require('./on-notify');

var _onNotify2 = _interopRequireDefault(_onNotify);

var _onReadRequest = require('./on-read-request');

var _onReadRequest2 = _interopRequireDefault(_onReadRequest);

var _onSubscribe = require('./on-subscribe');

var _onSubscribe2 = _interopRequireDefault(_onSubscribe);

var _onUnsubscribe = require('./on-unsubscribe');

var _onUnsubscribe2 = _interopRequireDefault(_onUnsubscribe);

var _onWriteRequest = require('./on-write-request');

var _onWriteRequest2 = _interopRequireDefault(_onWriteRequest);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var characteristic = new _characteristic2.default({
    uuid: _constants.MIDI_IO_CHARACTERISTIC_UID, // or 'fff1' for 16-bit
    properties: ['read', 'write', 'writeWithoutResponse', 'notify'], // can be a combination of 'read', 'write', 'writeWithoutResponse', 'notify', 'indicate'
    secure: ['read', 'write', 'writeWithoutResponse', 'notify'], // enable security for properties, can be a combination of 'read', 'write', 'writeWithoutResponse', 'notify', 'indicate'
    value: null, // optional static value, must be of type Buffer - for read only characteristics
    descriptors: [
      // see Descriptor for data type
    ],
    onReadRequest: _onReadRequest2.default, // optional read request handler, function(offset, callback) { ... }
    onWriteRequest: _onWriteRequest2.default, // optional write request handler, function(data, offset, withoutResponse, callback) { ...}
    onSubscribe: _onSubscribe2.default, // optional notify/indicate subscribe handler, function(maxValueSize, updateValueCallback) { ...}
    onUnsubscribe: _onUnsubscribe2.default, // optional notify/indicate unsubscribe handler, function() { ...}
    onNotify: _onNotify2.default, // optional notify sent handler, function() { ...}
    onIndicate: _onIndicate2.default // optional indicate confirmation received handler, function() { ...}
  });
  return characteristic;
};