'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _characteristic = require('bleno/lib/characteristic');

var _characteristic2 = _interopRequireDefault(_characteristic);

var _logger = require('../util/logger');

var _logger2 = _interopRequireDefault(_logger);

var _parsePacket = require('../packets/parse-packet');

var _parsePacket2 = _interopRequireDefault(_parsePacket);

var _printBuffer = require('../util/print-buffer');

var _printBuffer2 = _interopRequireDefault(_printBuffer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RESULT_UNLIKELY_ERROR = _characteristic2.default.RESULT_UNLIKELY_ERROR;

exports.default = function (data, offset, withoutResponse, callback) {
  (0, _logger2.default)('onWriteRequest:', '\n             data: ' + data.toString('hex') + '\n' + ('\n' + (0, _printBuffer2.default)(data)).replace(/\n/gi, '\n                   ') + '\n      data.length: ' + data.length + '\n           offset: ' + offset + '\n  withoutResponse: ' + String(withoutResponse) + '\n  ');
  if (!withoutResponse || offset !== 0 || data.length === 0) {
    callback(RESULT_UNLIKELY_ERROR);
  } else {
    var info = (0, _parsePacket2.default)(data);
    (0, _logger2.default)('parsedPacket', info);
  }
};