'use strict';

/* eslint-env jest */
jest.mock('yargs');
jest.mock('../../../midi/list-devices');

test('builder(yargs)', function () {
  var mockYargs = require('yargs')();
  var builder = require('../list-devices').builder;
  var result = builder(mockYargs);
  expect(result).toEqual(mockYargs);
  expect(mockYargs.usage.mock).toMatchSnapshot();
});

test('handler', function () {
  var mockListDevices = require('../../../midi/list-devices').default;
  var handler = require('../list-devices').handler;
  handler();
  expect(mockListDevices.mock).toMatchSnapshot();
  expect(mockListDevices.mock.calls.length).toEqual(1);
  expect(mockListDevices.mock.calls[0].length).toEqual(0);
});