'use strict';

/* eslint-env jest */
jest.mock('yargs');
jest.mock('../../../peripheral/create-peripheral');

test('builder(yargs)', function () {
  var mockYargs = require('yargs')();
  var builder = require('../peripheral').builder;
  var result = builder(mockYargs);
  expect(result).toEqual(mockYargs);
  expect(mockYargs.usage.mock).toMatchSnapshot();
  expect(mockYargs.option.mock).toMatchSnapshot();
});

test('handler(argv)', function () {
  var mockCreatePeripheral = require('../../../peripheral/create-peripheral').default;
  var handler = require('../peripheral').handler;
  handler({
    name: 'MOCK_NAME'
  });
  expect(mockCreatePeripheral.mock).toMatchSnapshot();
  expect(mockCreatePeripheral.mock.calls.length).toEqual(1);
  expect(mockCreatePeripheral.mock.calls[0].length).toEqual(1);
});