'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.builder = exports.desc = exports.command = undefined;

var _constants = require('../../constants');

var _createPeripheral = require('../../peripheral/create-peripheral');

var _createPeripheral2 = _interopRequireDefault(_createPeripheral);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var command = exports.command = 'peripheral';
var desc = exports.desc = 'Start advertising as a Bluetooth Peripheral';

var builder = exports.builder = function builder(yargs) {
  return yargs.usage('Usage: $0 ' + command).option('n', {
    alias: 'name',
    default: _constants.DEFAULT_SERVICE_NAME,
    describe: 'The service name to advertise',
    type: 'string'
  });
};

var handler = exports.handler = function handler(argv) {
  (0, _createPeripheral2.default)(argv.name);
};