'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _logger = require('../util/logger');

var _logger2 = _interopRequireDefault(_logger);

var _midi = require('midi');

var _midi2 = _interopRequireDefault(_midi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var types = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : ['input', 'output'];

  types = types.filter(function (t) {
    return t === 'input' || t === 'output';
  });
  types.forEach(function (type) {
    (0, _logger2.default)('\nAvailable Devices (' + type + '):');
    var midiType = new _midi2.default[type]();
    var portCount = midiType.getPortCount();
    for (var i = 0; i < portCount; i++) {
      (0, _logger2.default)(i + ': ' + midiType.getPortName(i));
    }
    midiType.openVirtualPort('dummy-port-' + type);
    midiType.closePort();
  });
};