'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _info = require('./info');

var _info2 = _interopRequireDefault(_info);

var _messageUnknown = require('./message-unknown');

var _messageUnknown2 = _interopRequireDefault(_messageUnknown);

var _constants = require('../constants');

var _isBitOn = require('../util/is-bit-on');

var _isBitOn2 = _interopRequireDefault(_isBitOn);

var _parseFullMidiMessage = require('./parse-full-midi-message');

var _parseFullMidiMessage2 = _interopRequireDefault(_parseFullMidiMessage);

var _parseRunningStatusMidiMessage = require('./parse-running-status-midi-message');

var _parseRunningStatusMidiMessage2 = _interopRequireDefault(_parseRunningStatusMidiMessage);

var _parseSysex = require('./parse-sysex');

var _parseSysex2 = _interopRequireDefault(_parseSysex);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (packet) {
  var info = new _info2.default(packet);
  if (info.isHeaderValid) {
    if (packet.length >= 2 && !(0, _isBitOn2.default)(packet[info.index], 7)) {
      (0, _parseSysex2.default)(info, false);
    }
    while (info.index < packet.length) {
      var byte1 = packet[info.index];
      var byte2 = packet[info.index + 1];
      var hasTimestamp = (0, _isBitOn2.default)(byte1, 7);
      var hasStatus = (0, _isBitOn2.default)(byte2, 7);
      if (hasTimestamp && hasStatus && byte2 === _constants.SYSEX_START) {
        (0, _parseSysex2.default)(info, true);
      } else if (hasTimestamp && hasStatus) {
        (0, _parseFullMidiMessage2.default)(info);
      } else if (!hasStatus) {
        (0, _parseRunningStatusMidiMessage2.default)(info, hasTimestamp);
      } else {
        info.events.push(new _messageUnknown2.default(info.index, packet.slice(info.index)));
        info.index = packet.length;
      }
    }
  }
  return info;
};