'use strict';

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _parsePacket = require('./parse-packet');

var _parsePacket2 = _interopRequireDefault(_parsePacket);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var testfixtures = __dirname + '/__testfixtures__/parse-packet/'; /* eslint-env jest */

var filenames = _fs2.default.readdirSync(testfixtures, 'utf-8');

filenames.forEach(function (filename) {
  var parsed = _path2.default.parse(filename);
  var values = _fs2.default.readFileSync(testfixtures + '/' + filename, 'utf-8').trim().split('\n').map(function (v) {
    return parseInt(v, 2);
  });
  var buffer = new Buffer(values);
  test('should parsePacket(packet) with ' + parsed.name, function () {
    var info = (0, _parsePacket2.default)(buffer);
    expect(info).toMatchSnapshot();
  });
});