'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _messageMidiSysex = require('./message-midi-sysex');

var _messageMidiSysex2 = _interopRequireDefault(_messageMidiSysex);

var _constants = require('../constants');

var _isBitOn = require('../util/is-bit-on');

var _isBitOn2 = _interopRequireDefault(_isBitOn);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (info, isStart) {
  var isEnd = false;
  if (isStart) {
    info.index += 2;
  }
  var data = info.packet.slice(info.index);
  var len = data.length;
  if (len >= 2 && (0, _isBitOn2.default)(data[len - 2], 7) && data[len - 1] === _constants.SYSEX_END) {
    isEnd = true;
    data = data.slice(0, len - 2);
  }
  info.events.push(new _messageMidiSysex2.default(isStart, isEnd, data));
  // stop parsing
  info.index = info.packet.length;
};