'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _bleno = require('bleno/lib/bleno');

var _bleno2 = _interopRequireDefault(_bleno);

var _constants = require('../constants');

var _defaultHandler = require('./default-handler');

var _defaultHandler2 = _interopRequireDefault(_defaultHandler);

var _handleAdvertisingStart = require('./handle-advertising-start');

var _handleAdvertisingStart2 = _interopRequireDefault(_handleAdvertisingStart);

var _handleStateChange = require('./handle-state-change');

var _handleStateChange2 = _interopRequireDefault(_handleStateChange);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  var name = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _constants.DEFAULT_SERVICE_NAME;

  var bleno = new _bleno2.default();
  bleno.on('stateChange', _handleStateChange2.default.bind(bleno, bleno, name));
  bleno.on('advertisingStart', _handleAdvertisingStart2.default.bind(bleno, bleno));
  ['platform', 'addressChange', 'advertisingStop', 'servicesSet', 'accept', 'mtuChange', 'disconnect'].forEach(function (name) {
    return bleno.on(name, (0, _defaultHandler2.default)(name));
  });
  return bleno;
};