'use strict';

/* eslint-env jest */
jest.mock('bleno/lib/bleno', function () {
  var bleno = jest.fn();
  bleno.on = jest.fn();
  bleno.__mockBleno__ = true;
  return function () {
    return bleno;
  };
});

var createPeripheral = void 0;
var mockBleno = void 0;

beforeEach(function () {
  jest.resetAllMocks();
  var Bleno = require('bleno/lib/bleno');
  mockBleno = new Bleno();
  createPeripheral = require('./create-peripheral').default;
});

test('should createPeripheral(name)', function () {
  var name = jest.fn();
  var peripheral = createPeripheral(name);
  expect(mockBleno.mock).toMatchSnapshot();
  expect(mockBleno.on.mock).toMatchSnapshot();
  expect(peripheral.__mockBleno__).toEqual(true);
});

test('should createPeripheral with default name', function () {
  var peripheral = createPeripheral();
  expect(mockBleno.mock).toMatchSnapshot();
  expect(mockBleno.on.mock).toMatchSnapshot();
  expect(peripheral.__mockBleno__).toEqual(true);
});