'use strict';

/* eslint-env jest */
jest.mock('../util/logger');

var handleAdvertisingStart = require('./handle-advertising-start').default;
var mockLog = void 0;

beforeEach(function () {
  jest.resetAllMocks();
  mockLog = require('../util/logger').default;
});

test('should handleAdvertisingStart success', function () {
  var bleno = jest.fn();
  bleno.setServices = jest.fn();
  handleAdvertisingStart(bleno, null);
  expect(mockLog.mock).toMatchSnapshot();
  expect(bleno.setServices.mock).toMatchSnapshot();
});

test('should handleAdvertisingStart error', function () {
  var bleno = jest.fn();
  handleAdvertisingStart(bleno, new Error('mock-error'));
  expect(mockLog.mock).toMatchSnapshot();
});