'use strict';

/* eslint-env jest */
jest.mock('../util/logger');

var handleStateChange = void 0;
var mockLog = void 0;

beforeEach(function () {
  jest.resetAllMocks();
  mockLog = require('../util/logger').default;
  handleStateChange = require('./handle-state-change').default;
});

test('should handleStateChange when poweredOn', function () {
  var bleno = jest.fn();
  bleno.startAdvertising = jest.fn();
  handleStateChange(bleno, 'mock-name', 'poweredOn');
  expect(bleno.mock).toMatchSnapshot();
  expect(bleno.startAdvertising.mock).toMatchSnapshot();
  expect(mockLog.mock).toMatchSnapshot();
});

test('should handleStateChange when not poweredOn', function () {
  var bleno = jest.fn();
  bleno.stopAdvertising = jest.fn();
  handleStateChange(bleno, 'mock-name', 'mock-state');
  expect(bleno.mock).toMatchSnapshot();
  expect(bleno.stopAdvertising.mock).toMatchSnapshot();
  expect(mockLog.mock).toMatchSnapshot();
});